Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Interface PolicyBuilder

    public interface PolicyBuilder

PolicyBuilder provides methods to create Policy and PolicyReferenceObjects from DOM elements.

Method Summary
`org.apache.neethi.Policy` | `getPolicy(org.w3c.dom.Element element)` Creates a Policy object from an DOM element.
`org.apache.neethi.Policy` | `getPolicy(java.io.InputStream stream)` Creates a Policy object from an InputStream.
`org.apache.neethi.PolicyReference` | `getPolicyReference(org.w3c.dom.Element element)` Creates a PolicyReference object from a DOM element.

Method Detail

### getPolicyReference

    org.apache.neethi.PolicyReference getPolicyReference(org.w3c.dom.Element element)

  Creates a PolicyReference object from a DOM element.

  Parameters:
    `element` - the element
  Returns:
    the PolicyReference object constructed from the element

### getPolicy

    org.apache.neethi.Policy getPolicy(org.w3c.dom.Element element)

  Creates a Policy object from an DOM element.

  Parameters:
    `element` - the element
  Returns:
    the Policy object constructed from the element

### getPolicy

    org.apache.neethi.Policy getPolicy(java.io.InputStream stream)
                                       throws java.io.IOException,
                                              javax.xml.parsers.ParserConfigurationException,
                                              org.xml.sax.SAXException

  Creates a Policy object from an InputStream.

  Parameters:
    `stream` - the inputstream
  Returns:
    the Policy object constructed from the element
  Throws:
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF